org.apache.lucene.luke.app.desktop.dto.documents

## Class NewField

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.dto.documents.NewField

-     public final class NewField
      extends Object

  Data holder for a new field. This is used in the add document dialog.

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `boolean` | `deleted`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deletedProperty()`
    `IndexableFieldType` | `getFieldType()`
    `String` | `getName()`
    `Class<? extends IndexableField>` | `getType()`
    `Class<? extends IndexableField>` | `getTypeProperty()`
    `String` | `getValue()`
    `boolean` | `isDeleted()` Gets the value of the property deleted.
    `boolean` | `isStored()`
    `static NewField` | `newInstance()`
    `void` | `resetFieldType(Class<?> type)`
    `void` | `setDeleted(boolean value)` Sets the value of the property deleted.
    `void` | `setName(String name)`
    `void` | `setStored(boolean stored)`
    `void` | `setType(Class<? extends IndexableField> type)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### deleted

          public boolean deletedProperty

      See Also:
        `isDeleted()`, `setDeleted(boolean)`

  - ### Method Detail

    - #### newInstance

          public static NewField newInstance()

    - #### isDeleted

          public boolean isDeleted()

      Gets the value of the property deleted.

    - #### deletedProperty

          public boolean deletedProperty()

      See Also:
        `isDeleted()`, `setDeleted(boolean)`

    - #### setDeleted

          public void setDeleted(boolean value)

      Sets the value of the property deleted.

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getTypeProperty

          public Class<? extends IndexableField> getTypeProperty()

    - #### getType

          public Class<? extends IndexableField> getType()

    - #### setType

          public void setType(Class<? extends IndexableField> type)

    - #### resetFieldType

          public void resetFieldType(Class<?> type)

    - #### getFieldType

          public IndexableFieldType getFieldType()

    - #### isStored

          public boolean isStored()

    - #### setStored

          public void setStored(boolean stored)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.